@import 'variables.sass'

.sky:hover + .vehicle .light
    animation: lights $timer linear infinite
.vehicle:hover + .vehicle .vehicle__body
    animation-play-state: paused
    background: green
.vehicle:hover + .salar .salar__dune
    animation-play-state: paused
.vehicle:hover ~ .haze
    display: none !important
    animation-play-state: paused
.vehicle
    z-index: 100
    top: 40%
    left: 50%
    transform: translate(-50%,-50%)

    &__body
        background: $vehicle-color-3
        border-radius: 30px 50px 10px 5px
        height: 100px
        width: 210px
        position: relative
        animation: fly 1.2s ease-in-out infinite alternate
        &:hover
            animation-play-state: paused
        &:hover + .vehicle__wheels div
            animation-play-state: paused
        &:hover  .vehicle__body__tail div
            animation-play-state: paused
            // background: pink
            animation: smoke-danger 2s ease-out infinite
            // animation-delay: .6s
            display: flex

        &:hover ~ .salar .salar__dune
            animation-play-state: paused
        &__top
            position: relative
            background: $vehicle-color-2
            border-radius: 20px 20px 15px 15px
            width: 88%
            height: 10px
            top: 0
            left: 50%
            transform: translate(-55%,0)

        &__forklift
            width: 90px
            height: 7px
            background-color: black
            border-radius: 5px
            opacity: .95
            position: relative
            top: -25px
            left: 75px
            display: flex
            z-index: 100
            .rod
                height: 12px
                width: 6px
                background-color: black
                border-radius: 5%
                position: relative
                top: 3px
                left: 8px
                &:nth-of-type(2)
                    left: 76px
            .flag
                width: 40px

                position: relative
                top: -30px
                left: 18px
                opacity: 1
                transform: rotate(-10deg)

                div
                    animation: waving 1s ease-in-out infinite alternate-reverse
                    background-size: 300px 100%
                    position: relative
                &__row-1
                    width: 100%
                    height: 8px
                    background-color: red
                &__row-2
                    width: 100%
                    height: 8px
                    background-color: orange
                &__row-3
                    width: 100%
                    height: 8px
                    background-color: green
                &::after
                    content: ''
                    position: absolute
                    width: 3px
                    height: 40px
                    background: black
                    position: absolute
                    border-radius: 5px
                    top: -1px
                    left: 100%
        &__suitcase
            width: 50px
            height: 100%
            left: 50%
            top: -40%
            z-index: 1

            .box__1
                width: 35px
                height: 20px
                left: 0
                top: 10px
                border-radius: 50% 50% 67% 33% / 79% 61% 39% 21%
            .box__2
                width: 50px
                height: 20px
                border-radius: 66% 34% 84% 16% / 32% 65% 35% 68%
                left: -30%
                top: 20px
                transform: rotate(10deg)
            .box__3
                width: 30px
                height: 40px
                left: 50%
                bottom: 0
                border-radius: 20%

            div
                background: $suitcase-color
                opacity: .9

        &__tail
            height: 10px
            width: 10px
            background-color: black
            position: relative
            left: -10px
            top: 65%
            display: flex
            opacity: 0.8
            & div
                border-radius: 50%
                background-color: $smoke-color
                position: absolute
                animation: smoke $vehicle-interval ease-out infinite
                &:nth-of-type(1)
                    height: 12px
                    width: 12px
                    left: -9px
                    top: 0
                &:nth-of-type(2)
                    height: 17px
                    width: 17px
                    left: -22px
                    top: -9px
                &:nth-of-type(3)
                    height: 22px
                    width: 22px
                    left: -37px
                    top: -19px
                &:nth-of-type(4)
                    display: none
                    height: 25px
                    width: 25px
                    left: -40px
                    top: -25px
                &:nth-of-type(5)
                    display: none

                    height: 26px
                    width: 26px
                    left: -45px
                    top: -27px

                &:nth-of-type(6)
                    display: none

                    height: 27px
                    width: 27px
                    left: -50px
                    top: -29px
                &:nth-of-type(7)
                    display: none

                    height: 32px
                    width: 32px
                    left: -47px
                    top: -35px
                &:nth-of-type(8)
                    display: none

                    height: 37px
                    width: 37px
                    left: -47px
                    top: -49px
                &:nth-of-type(9)
                    display: none

                    height: 35px
                    width: 35px
                    left: -53px
                    top: -55px
                &:nth-of-type(10)
                    display: none

                    height: 35px
                    width: 35px
                    left: -57px
                    top: -60px
                &:nth-of-type(10)
                    display: none

                    height: 35px
                    width: 35px
                    left: -57px
                    top: -70px
                &:nth-of-type(11)
                    display: none

                    height: 37px
                    width: 37px
                    left: -67px
                    top: -85px
                &:nth-of-type(12)
                    display: none

                    height: 40px
                    width: 40px
                    left: -70px
                    top: -95px
                &:nth-of-type(13)
                    display: none

                    height: 50px
                    width: 50px
                    left: -70px
                    top: -120px
        &__light
            height: 15px
            width: 7px
            background-color: $vehicle-color-3
            position: absolute
            border-radius: 2px
            left: 99%
            top: 75%
            .spotlight

                z-index: 1

            .light
                opacity: 0
                position: relative
                top: calc(50%)
                left: 40px
                transform: translate(0,-50%) rotate(-90deg)
                // bottom: -8px
                width: 100px
                height: 200px
                z-index: -1
                clip-path: polygon(50% 0%, 0% 100%, 100% 100%)
                background-image: linear-gradient(to bottom, orange 50%, rgba(255,0,0,0))
        &__windows
            height: 60px
            display: flex
            opacity: 0.8
            background: $white
            border-radius: 30px 50px 0 0
            right: 0
            div
                position: relative
                height: 30px
                width: 35px
                top: 15px
                border-radius: 5px
                opacity: .5
                background: rgba($vehicle-color-2,.8)
                &::before
                    content: ''
                    width: 100%
                    height: 5px
                    position: absolute
                    background: $vehicle-color-3
                    border-radius: 10px 10px 0 0
                    z-index: 1

                span
                    height: 100%
                    width: 45%
                    background-color: $white
                    opacity: 0.4
                    position: absolute
                    border-right: 0.7px solid
                    border-color: $vehicle-color-1
                &:nth-of-type(1)
                    left: 10%

                &:nth-of-type(2)
                    left: 13%

                &:nth-of-type(3)
                    left: 16%

                &:nth-of-type(4)
                    left: 19%
                    width: 45px
                    border-radius: 5px 16px 5px 5px
                    &::before
                        content: ''
                        width: 89%
                        position: absolute
                        background: $vehicle-color-3
                        border-radius: 10px 20px 0 0
                        z-index: 1

        &__back
            position: absolute
            height: 22px
            width: 46px
            border-radius: 20px 20px 0 0
            background-color: $vehicle-color-2
            left: 18px
            top: 78%
            z-index: 100

        &__front
            position: absolute
            height: 22px
            width: 46px
            border-radius: 20px 20px 0 0
            background-color: $vehicle-color-2
            left: 140px
            top: 78%

            bottom: 0
            z-index: 100 !important

    &__wheels
        display: flex
        height: 100%

        div
            height: 32px
            width: 32px
            background-color: $white
            opacity: 0.9
            border: 5px solid black
            border-radius: 50%
            position: relative

            top: 85%
            left: 40%
            animation: rotate-whel $vehicle-interval linear infinite
            &::after
                content: ''
                height: 5px
                width: 5px
                border-radius: 50%
                background-color: $vehicle-color-3
                position: absolute
                top: 5px
                left: 5px
            &:last-of-type
                left: 180%

@keyframes smoke
    0%
        opacity: 0
        height: 0
        width: 0
        left: 0
        top: 0
    50%
        opacity: 0.4

    100%
        opacity: 0

@keyframes smoke-danger
    0%
        opacity: 0
        height: 0
        width: 0
        left: 0
        top: 0
        background-color: #706e6e
    50%
        opacity: 0.8
        background-color: #474444

    70%
        opacity: 0.6
        background-color: #2a2929

    100%
        background-color: #393737
        opacity: 0

@keyframes rotate-whel
    100%
        transform: rotate(360deg)

@keyframes fly
    50%
        top: 3px
    100%
        top: -3px

@keyframes waving
    0%
        transform: matrix(-10,2,2,2)

        top: 10%
    100%
        top: -10%
        transform: matrix(-10,2,2,2)

@keyframes lights
    0%
        opacity: 0
    20%
        opacity: .4
    40%
        opacity: .7
    50%
        opacity: 1
    70%
        opacity: .7
    90%
        opacity: .4
    100%
        opacity: .2
